Subject: bug#43865: mml-attach-file could call system file chooser

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 09 Oct 2020 10:01:38 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> As others have noted, everything here seems to work as designed.  If you
> wish to have a visual file chooser for some commands even when invoked
> from a keyboard command, you could add that yourself.  But it doesn't
> seem generally useful, so I'm closing this bug report.

I'm fine with file selection from the minibuffer, so this is not the
hill I'll die on, but FWIW:

I agree with Robert's interpretation of Dan's report here, this makes
sense to me as a feature request.  Other Software™ usually present a
visual file chooser whether the user clicked File > Open or typed
Control+O, so some users could prefer the hypothetical 'always behaviour
Robert suggested.